/* $Id: LinkCounter.java 125 2011-03-09 09:49:51Z ohura $ */
package smart_gs.util;

import java.util.concurrent.atomic.AtomicInteger;

public class LinkCounter {
	protected static AtomicInteger counter  = new AtomicInteger();

	public static void setID(int id){
		counter = new AtomicInteger(id);
	}
	
	public static int getID(){
		return 	counter.incrementAndGet();
	}
	public static int intValue(){
		return 	counter.intValue();
	}
	
}
